<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [weakenAnalyze](./bitburner.ns.weakenanalyze.md)

## NS.weakenAnalyze() method

Predict the effect of weaken.

**Signature:**

```typescript
weakenAnalyze(threads: number, cores?: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

threads


</td><td>

number


</td><td>

Amount of threads that will be used.


</td></tr>
<tr><td>

cores


</td><td>

number


</td><td>

_(Optional)_ Optional. The number of cores of the server that would run weaken.


</td></tr>
</tbody></table>

**Returns:**

number

The security decrease.

## Remarks

RAM cost: 1 GB

Returns the security decrease that would occur if a weaken with this many threads happened.

